%define name obrowser
%define version 1.1.1
%define release %mkrel 6

Summary: OCaml virtual machine written in Javascript
Name:    %{name}
Version: %{version}
Release: %{release}
Source0: http://ocsigen.org/download/%{name}-%{version}.tar.gz
# Compatibility patch for OCaml 4.0 by Damien Doligez
# http://gallium.inria.fr/~doligez/ocaml-4.00.0-compatibility-patches/
Patch1:  obrowser-1.1.1-gentoo-ocaml4.patch
Patch2:  obrowser-1.1.1-gentoo-ocaml41.patch
License: LGPLv2 with linking exception and GPLv3 and WTFPL
Group:   Development/OCaml
Url:     http://ocsigen.org/obrowser/
BuildRequires: ocaml-compiler
BuildRequires: menhir
BuildRequires: ocaml-lwt
BuildRequires: sharutils
BuildRequires: ocaml-findlib

%description
O'Browser is an OCaml virtual machine written in Javascript, to run OCaml
program in browsers!  It is independent from Eliom and Ocsigen's
server. You can use it with any Web server.


%package -n ocaml-%{name}
Summary:  Development files for %{name}
Group:    Development/OCaml
Requires: ocaml-compiler
Requires: ocaml-lwt

%description -n ocaml-%{name}
O'Browser is an OCaml virtual machine written in Javascript, to run OCaml
program in browsers!  It is independent from Eliom and Ocsigen's
server. You can use it with any Web server.
This package allows you to write ocaml programs to be run in O'browser..


%package doc
Summary:        Documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for O'Browser.


%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
touch .check_version
make

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

%files -n ocaml-%{name}
%{_libdir}/ocaml/obrowser/META
%{_libdir}/ocaml/obrowser/*.cma
%{_libdir}/ocaml/obrowser/*.cmi
%{_libdir}/ocaml/obrowser/*.cmo
%{_libdir}/ocaml/obrowser/dllstdlib.so

%files 
%doc 
%{_libdir}/ocaml/obrowser/ffi.js
%{_libdir}/ocaml/obrowser/vm.js

%files doc
%doc rt/LICENSE
%doc CHANGES README.TXT 
# Tutorial is under GPLv3 and pictures are under WTFPL
%doc tutorial/
# Examples are under WTFPL
%doc examples/
%doc examples.html


%changelog
* Thu Dec 12 2013 malo <malo> 1.1.1-6.mga4
+ Revision: 556481
- add patches from gentoo to fix compilation with recent ocaml

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Apr 06 2013 malo <malo> 1.1.1-5.mga3
+ Revision: 408567
- fix requires

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-4.mga3
+ Revision: 361115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 11 2012 malo <malo> 1.1.1-3.mga3
+ Revision: 304527
- add patch for OCaml 4.0 compatibility (Damien Doligez)
- BuilRequires ocaml-compiler
- update RPM group for Documentation

  + blue_prawn <blue_prawn>
    - new rpm group for ocaml

* Tue Jan 31 2012 malo <malo> 1.1.1-1.mga2
+ Revision: 203609
- missing BuildRequires ocaml-findlib
- missing BuildRequires sharutils.
- imported package obrowser

